import { Misc } from "./misc.js";

/* -------------------------------------------- */
export class RdDItem {

  static isQueueDragon(item) {
    return item.type == 'queue' || item.type == 'ombre';
  }

  static isSouffleDragon(item) {
    return item.type == 'souffle';
  }

  static isHRPontImpraticable(item) {
    return RdDItem.isSouffleDragon(item) && item.name.toLowerCase().includes(' des ponts');
  }

  static isHRDoubleResistanceFleuve(item) {
    return RdDItem.isSouffleDragon(item) && item.name.toLowerCase().includes('résistance du fleuve')
  }
  static isHRPeage(item) {
    return RdDItem.isSouffleDragon(item) && item.name.toLowerCase().includes('péage')
  }

  static isHRMauvaiseRencontreEnPerspective(item) {
    return (RdDItem.isQueueDragon(item) || RdDItem.isSouffleDragon(item)) && item.name.toLowerCase().includes('mauvaise rencontre')
  }

  static isHRInertieDraconique(item) {
    return RdDItem.isQueueDragon(item) && item.name.toLowerCase().includes('inertie draconique')
  }

  static isCaseTMR(item) {
    return item.type == 'casetmr';
  }

  static isHRCaseInnondee(item) {
    return RdDItem.isCaseTMR(item) && item.data.specific == 'debordement';
  }

}